import request from '@/utils/request'

/**
 * @description 配置分类--列表
 * @param {Object} param data {Object} 传值参数
 */
export function classListApi(data) {
    return request({
      url: '/mapi/system/configTab/config_class',
      method: 'get',
      params: data,
    });
  }
  
  /**
   * @description 配置分类--新增表单
   * @param {Object} param data {Object} 传值参数
   */
  export function classAddApi(data) {
    return request({
      url: 'setting/config_class/create',
      method: 'get',
    });
  }
  
  /**
   * @description 配置分类--编辑表单
   * @param {Number} param id {Number} 配置分类id
   */
  export function classEditApi(id) {
    return request({
      url: `setting/config_class/${id}/edit`,
      method: 'get',
    });
  }
  
  /**
   * @description 配置分类--修改状态
   * @param {Number} param id {Number} 文章id
   */
  export function setStatusApi(data) {
    return request({
      url: `/mapi/system/configTab/config_class/set_status/${data.id}/${data.status}`,
      method: 'POST',
    });
  }
  
  /**
   * @description 配置--列表
   * @param {Object} param data {Object} 传值参数
   */
  export function configTabListApi(data) {
    return request({
      url: '/mapi/system/configTab/setting/config',
      method: 'get',
      params: data,
    });
  }
  
  /**
   * @description 配置--新增表单
   * @param {Object} param data {Object} 传值参数
   */
  export function configTabAddApi(data) {
    return request({
      url: '/mapi/system/configTab/create',
      method: 'get',
      params: data,
    });
  }
  
  /**
   * @description 配置--编辑表单
   * @param {Number} param id {Number} 配置id
   */
  export function configTabEditApi(id) {
    return request({
      url: `/mapi/system/configTab/update/${id}`,
      method: 'get',
    });
  }
  
  /**
   * @description 配置--修改状态
   * @param {Number} param id {Number} 文章id
   */
  export function configSetStatusApi(id, status) {
    return request({
      url: `/mapi/system/configTab/setting/set_status/${id}/${status}`,
      method: 'POST',
    });
  }

    // 删除配置分类
export function delConfigVal(id) {
  return request({
      url: '/mapi/system/configRecord/setting/' + id,
      method: 'delete'
  })
}

/**
 * @description 设置 系统设置 应用设置头部
 * @param {Object} param data {Object} 传值参数 type类型
 */
export function headerListApi(data) {
  return request({
    url: '/mapi/system/configTab/config/header_basics',
    method: 'get',
    params: data,
  });
}

/**
 * @description 设置 系统设置 应用设置 编辑表单
 * @param {Object} param data {Object} 传值参数 type类型
 */
export function dataFromApi(data) {
  return request({
    url: '/mapi/system/configTab/config/edit_basics',
    method: 'get',
    params: data,
  });
}


/**
 * @description 获取协议
 * @param data
 */
export function getAgreements(type) {
  return request({
    url: `setting/get_agreement/${type}`,
    method: 'get',
  });
}
/**
 * @description 设置隐私协议
 * @param data
 */
export function setAgreements(data, type) {
  return request({
    url: `setting/save_agreement`,
    method: 'post',
    data,
  });
}